## com.google.javascript.jscomp
Class ObjectPropertyStringPreprocess

    java.lang.Object
      com.google.javascript.jscomp.ObjectPropertyStringPreprocess

All Implemented Interfaces:
  CompilerPass

    public class ObjectPropertyStringPreprocess

extends Object
implements CompilerPass

Rewrites `new goog.testing.ObjectPropertyString(foo, 'bar')` to `new JSCompiler_ObjectPropertyString(window, foo.bar)`. These two passes are for use with goog.testing.PropertyReplacer. `var ops = new goog.testing.ObjectPropertyString(foo.prototype, 'bar'); propertyReplacer.set(ops,object, ops.propertyString, baz);`

See Also:
  `ObjectPropertyStringPostprocess`

Field Summary
`static String` | `EXTERN_OBJECT_PROPERTY_STRING`

Method Summary
`void` | `process(Node externs, Node root)` Process the JS with root node root.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTERN_OBJECT_PROPERTY_STRING

    public static final String EXTERN_OBJECT_PROPERTY_STRING

See Also:
  Constant Field Values

Method Detail

### process

    public void process(Node externs,
                        Node root)

  Description copied from interface: `CompilerPass`
  Process the JS with root node root. Can modify the contents of each Node tree

  Specified by:
    `process` in interface `CompilerPass`
  Parameters:
    `externs` - Top of external JS tree
    `root` - Top of JS tree